package com.gic.haoban.manage.web.qo.content.like;

import java.io.Serializable;

/**
 * Created by wangzubo on 2023/9/22.
 */
public class ContentMaterialLikeQO implements Serializable {

    private static final long serialVersionUID = -1L;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 用户id(导购id)
     */
    private String memberId;
    /**
     * 用户类型0会员1导购2区经
     */
    private Integer userType;
    /**
     * 用户code
     */
    private String userCode;
    /**
     * 素材id
     */
    private Long contentMaterialId;

    public ContentMaterialLikeQO() {
    }

    public ContentMaterialLikeQO(String enterpriseId, String memberId, Integer userType, String userCode, Long contentMaterialId) {
        this.enterpriseId = enterpriseId;
        this.memberId = memberId;
        this.userType = userType;
        this.userCode = userCode;
        this.contentMaterialId = contentMaterialId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public Integer getUserType() {
        return userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public Long getContentMaterialId() {
        return contentMaterialId;
    }

    public void setContentMaterialId(Long contentMaterialId) {
        this.contentMaterialId = contentMaterialId;
    }
}
